package com.casic.missiles.service.business;

import com.casic.missiles.dto.business.board.*;

import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * @Description:
 * @Author: wangpeng
 * @Date: 2023/4/7 17:35
 */
public interface IBusinessBoardService {
    List<BoardWorkStatisticsResponse> workStatistics() throws ExecutionException, InterruptedException;

    List<BoardDeptOutputResponse> deptOutput(BoardBaseRequest request);

    BoardDeptOutputListResponse deptOutputList(BoardBaseRequest request);

    List<BoardWorkloadResponse> workload(BoardBaseRequest request);

    List<BoardDeptComprehensiveResponse> deptComprehensive(BoardDeptComprehensiveRequest request);
}
